List
API server
https://app.coolify.io/api/v1List all servers.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/servers"[ { "id": 0, "uuid": "string", "name": "string", "description": "string", "ip": "string", "user": "string", "port": 0, "proxy": {}, "proxy_type": "traefik", "high_disk_usage_notification_sent": true, "unreachable_notification_sent": true, "unreachable_count": 0, "validation_logs": "string", "log_drain_notification_sent": true, "swarm_cluster": "string", "settings": { "id": 0, "concurrent_builds": 0, "deployment_queue_limit": 0, "backup_compression_cpu_percentage": 0, "dynamic_timeout": 0, "force_disabled": true, "force_server_cleanup": true, "server_role": "deployment", "is_build_server": true, "is_cloudflare_tunnel": true, "is_jump_server": true, "is_logdrain_axiom_enabled": true, "is_logdrain_custom_enabled": true, "is_logdrain_highlight_enabled": true, "is_logdrain_newrelic_enabled": true, "is_metrics_enabled": true, "is_traffic_analytics_enabled": true, "traffic_topn": 0, "traffic_sample_threshold": 0, "traffic_retention_1h_days": 0, "traffic_retention_1d_days": 0, "is_geoip_enabled": true, "geoip_refresh_days": 0, "is_reachable": true, "is_sentinel_enabled": true, "is_swarm_manager": true, "is_swarm_worker": true, "is_terminal_enabled": true, "is_usable": true, "logdrain_axiom_api_key": "string", "logdrain_axiom_dataset_name": "string", "logdrain_custom_config": "string", "logdrain_custom_config_parser": "string", "logdrain_highlight_project_id": "string", "logdrain_newrelic_base_uri": "string", "logdrain_newrelic_license_key": "string", "sentinel_metrics_history_days": 0, "sentinel_metrics_refresh_rate_seconds": 0, "sentinel_token": "string", "docker_cleanup_frequency": "string", "docker_cleanup_threshold": 0, "server_id": 0, "wildcard_domain": "string", "created_at": "string", "updated_at": "string", "delete_unused_volumes": true, "delete_unused_networks": true, "connection_timeout": 0, "docker_version": "string", "docker_version_checked_at": "string", "compose_version": "string", "compose_version_checked_at": "string" } }]{ "message": "Invalid token."}{ "message": "Unauthenticated."}List server registry logins GET
List the Docker registries a server is logged in to and the registries its resources pull from or push to. Reads the Docker config of the server over SSH. Credentials are never returned, only registry names and usernames. Requires the `read:sensitive` ability.
Log in to a registry on a server POST
Run docker login on the server, writing to the Docker config that deployments use. Logging in again to the same registry replaces the saved login.
